-- DROP TABLE album;
-- DROP TABLE track;


CREATE TABLE album (
 id INTEGER NOT NULL PRIMARY KEY,
 title VARCHAR(64) NOT NULL,
 artist VARCHAR(64) NOT NULL,
 year INTEGER,
 label VARCHAR(64)
);


CREATE TABLE track (
 album INTEGER NOT NULL,
 title VARCHAR(64) NOT NULL,
 length VARCHAR(6) NOT NULL
);


insert into album VALUES(1,"Kraftwerk","Mensche-Maschine",1978,"Klingklang");
insert into album VALUES(2,"Enigma","The screen behind the mirror",2000,"Virgin");

insert into track VALUES(1,"Die Roboter","6:17");
insert into track VALUES(1,"Spacelab","5:56");
insert into track VALUES(1,"Metropolis","5:59");
insert into track VALUES(1,"Neonlicht","9:05");
insert into track VALUES(1,"Die Mensch-Maschine","6:25");

insert into track VALUES(2,"The Gate","2:03");
insert into track VALUES(2,"Push the limits","6:27");
insert into track VALUES(2,"Gravity of love","4:01");
insert into track VALUES(2,"Smell of desire","4:55");
insert into track VALUES(2,"Modern crusaders","3:52");
insert into track VALUES(2,"Traces","4:13");
